## org.hornetq.api.core.client.loadbalance
Class RandomStickyConnectionLoadBalancingPolicy

    java.lang.Object
      org.hornetq.api.core.client.loadbalance.RandomStickyConnectionLoadBalancingPolicy

All Implemented Interfaces:
  ConnectionLoadBalancingPolicy

    public class RandomStickyConnectionLoadBalancingPolicy

extends Object
implements ConnectionLoadBalancingPolicy

`RandomConnectionLoadBalancingPolicy.select(int)` chooses a the initial node randomly then subsequent requests return the same node

Author:
  Tim Fox

Constructor Summary
`RandomStickyConnectionLoadBalancingPolicy()`

Method Summary
`int` `select(int max)` Returns the selected index according to the policy implementation.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RandomStickyConnectionLoadBalancingPolicy

    public RandomStickyConnectionLoadBalancingPolicy()

Method Detail

### select

    public int select(int max)

  Description copied from interface: `ConnectionLoadBalancingPolicy`
  Returns the selected index according to the policy implementation.

  Specified by:
    `select` in interface `ConnectionLoadBalancingPolicy`
  Parameters:
    `max` - maximum position index that can be selected

Copyright © 2009 Red Hat Inc. All Rights Reserved.